﻿using System;
using System.ComponentModel;

using ModelContextProtocol.Server;

namespace McpStudy.Core
{
    [McpServerToolType]
    public static class EchoTool
    {
        [McpServerTool, DisplayName("EchoServer"), Description("回传原消息给客户端！")]
        public static string Echo(string message)
        {
            Console.WriteLine($"Echo: {message}");

            System.IO.File.AppendAllText("Mcplog.txt", $"Echo: {message}\n");

            return $"hello {message}";
        }
    }
}
